## GOComboPixmaps

GOComboPixmaps

## Functions

void | go_combo_pixmaps_add_element ()
void | go_combo_pixmaps_clear_elements ()
GtkWidget * | go_combo_pixmaps_get_preview ()
int | go_combo_pixmaps_get_selected ()
GOComboPixmaps * | go_combo_pixmaps_new ()
gboolean | go_combo_pixmaps_select_id ()
gboolean | go_combo_pixmaps_select_index ()
void | go_menu_pixmaps_add_element ()
GOMenuPixmaps * | go_menu_pixmaps_new ()

## Signals

void | changed | Run Last
void | changed | Run Last

## Types and Values

| GOComboPixmaps
| GOMenuPixmaps

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ├── GtkBox
                    │   ╰── GOComboBox
                    │       ╰── GOComboPixmaps
                    ╰── GtkMenuShell
                        ╰── GtkMenu
                            ╰── GOMenuPixmaps

## Implemented Interfaces

GOComboPixmaps implements AtkImplementorIface, GtkBuildable and GtkOrientable.

GOMenuPixmaps implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### go_combo_pixmaps_add_element ()

    void
    go_combo_pixmaps_add_element (GOComboPixmaps *combo,
                                  GdkPixbuf *pixbuf,
                                  int id,
                                  char const *tooltip);

#### Parameters

combo | GOComboPixmaps |
pixbuf | GdkPixbuf. | [transfer full]
id | an identifier for the callbacks |
tooltip | optional |

### go_combo_pixmaps_clear_elements ()

    void
    go_combo_pixmaps_clear_elements (GOComboPixmaps *combo);

Remove all elements.

#### Parameters

combo | GOComboPixmaps |

### go_combo_pixmaps_get_preview ()

    GtkWidget *
    go_combo_pixmaps_get_preview (GOComboPixmaps const *combo);

#### Parameters

combo | GOComboPixmaps |

#### Returns

the preview button.

[transfer none]

### go_combo_pixmaps_get_selected ()

    int
    go_combo_pixmaps_get_selected (GOComboPixmaps const *combo,
                                   int *index);

### go_combo_pixmaps_new ()

    GOComboPixmaps *
    go_combo_pixmaps_new (int ncols);

### go_combo_pixmaps_select_id ()

    gboolean
    go_combo_pixmaps_select_id (GOComboPixmaps *combo,
                                int id);

### go_combo_pixmaps_select_index ()

    gboolean
    go_combo_pixmaps_select_index (GOComboPixmaps *combo,
                                   int index);

### go_menu_pixmaps_add_element ()

    void
    go_menu_pixmaps_add_element (GOMenuPixmaps *menu,
                                 GdkPixbuf *pixbuf,
                                 int id,
                                 const char *tooltip);

### go_menu_pixmaps_new ()

    GOMenuPixmaps *
    go_menu_pixmaps_new (int ncols);

## Types and Values

### GOComboPixmaps

    typedef struct _GOComboPixmaps GOComboPixmaps;

### GOMenuPixmaps

    typedef struct _GOMenuPixmaps GOMenuPixmaps;

## Signal Details

### The `“changed”` signal

    void
    user_function (GOComboPixmaps *gocombopixmaps,
                   int             arg1,
                   gpointer        user_data)

Flags: Run Last

### The `“changed”` signal

    void
    user_function (GOMenuPixmaps *gomenupixmaps,
                   int            arg1,
                   gpointer       user_data)

Flags: Run Last